APIBilling
List usage budgets
List the organization's hard per-cycle usage budgets with current-cycle used, reserved, and remaining amounts plus per-scope eligibility.
GET https://api.sazabi.com/v1/billing/budgets
Query Parameters
organizationId?string
Organization to list budgets for. Auto-filled from CLI and SDK context when omitted.
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://example.com/billing/budgets"{ "budgets": [ { "id": "string", "scope": "string", "limitAmount": "string", "enabled": true, "enforcedAt": "string", "eligible": true, "ineligibleReason": "not_cents_priced", "createdAt": "string", "updatedAt": "string", "currentCycle": { "billingCycleId": "string", "usedAmount": "string", "reservedAmount": "string", "remainingAmount": "string", "limitAmount": "string", "lastBlockedProductKey": "string", "endsAt": "string" } } ], "eligibility": { "eligibleProductKeys": [ "string" ], "allUsageEligible": true, "currentCycle": { "billingCycleId": "string", "startsAt": "string", "endsAt": "string", "currency": "string", "eligibleProductKeys": [ "string" ], "allUsageEligible": true, "scopes": [ { "scope": "string", "usedAmount": "string", "reservedAmount": "string" } ] } }}